#include<bits/stdc++.h>

using namespace std;

int poredjenjeStringova(string a, string b){
	string r1 = a + b;
	string r2 = b + a;
	return r1.compare(r2) > 0 ? 1 : 0; 
}

int main(){
	vector<string> v;
	for(int i = 0; i < 3; i++){
		string a;
		cin >> a;
		v.push_back(a);
	}
	sort(v.begin(), v.end(), poredjenjeStringova);
	for(int i = 0; i < 3; i++) cout << v[i];
}